Update an application
PATCH
/api/v1/applications/{id}
Authorizations
Section titled “ Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “ Path Parameters ” id
required
string
Request Bodyrequired
Section titled “ Request Bodyrequired ” Media type application/json
object
labelIds
Label IDs to assign to the application
Array<string>
displayConfiguration
Display configuration for hiding fields and sections
object
hiddenFields
Array<string>
hiddenSections
Array<string>
unmappedResponseUpdates
Key-value pairs to update in unmappedResponses. Key format: stepId.valueId for regular fields, or fatcaCrs.fieldKey for FATCA fields.
object
key
additional properties
any
individualApplication
object
firstName
string
middleName
string
lastName
string
countryOfBirth
ISO 3166-1 alpha-2 country code
string format: iso-3166-1-alpha-2
nationality
ISO 3166-1 alpha-2 country code
string format: iso-3166-1-alpha-2
address
object
street
string
apartment
string
city
string
state
string
country
string
postalCode
string
phoneNumber
object
countryCode
required
string
phoneNumber
required
string
otherNationality
ISO 3166-1 alpha-2 country code
string format: iso-3166-1-alpha-2
email
string
amountToBeInvested
number
amountToBeInvestedCurrency
string
usCitizen
boolean
isPEP
boolean
employmentStatus
string
occupation
string
accountTurnover
string
annualFlow
string
estimatedNumberOfPayments
number
expectedFxRequirement
string
currenciesRequired
Array<string>
countriesSentTo
Array<string>
countriesReceivedFrom
Array<string>
paymentPurpose
string
fundingSource
string
dateOfBirth
string format: date-time
taxResidences
Array<object>
object
country
string
tin
string
tradingExperience
object
shares
string
derivatives
string
otcDerivatives
string
tradingMethod
string
hasOccupationalExperience
boolean
hasFormalQualification
boolean
businessApplication
object
name
string
registrationNumber
string
jurisdiction
ISO 3166-1 alpha-2 country code
string format: iso-3166-1-alpha-2
trustType
string
legalForm
string
purpose
string
businessActivity
string
industry
string
subIndustry
string
address
object
street
string
apartment
string
city
string
state
string
country
string
postalCode
string
registeredAddress
object
street
string
apartment
string
city
string
state
string
country
string
postalCode
string
tradingAddress
object
street
string
apartment
string
city
string
state
string
country
string
postalCode
string
phoneNumber
object
countryCode
required
string
phoneNumber
required
string
website
string
sicCode
string
vatNumber
string
taxId
string
referrer
string
referrerNote
string
companyTurnover
string
annualFlow
string
estimatedNumberOfPayments
number
expectedFxRequirement
string
currenciesRequired
Array<string>
countriesSentTo
Array<string>
countriesReceivedFrom
Array<string>
paymentPurpose
string
fundingSource
string
investmentAmount
number
investmentAmountCurrency
string
isAudited
boolean
isRegulated
boolean
hasPep
boolean
ownershipLayers
number
legalEntityType
string
regulatoryAuthority
string
regulatoryNumber
string
incorporationDate
string format: date-time
establishmentDate
string format: date-time
registrationDate
string format: date-time
tradingExperience
object
shares
string
derivatives
string
otcDerivatives
string
tradingMethod
string
hasOccupationalExperience
boolean
hasFormalQualification
boolean
metadata
Arbitrary key-value metadata. Up to 50 key-value pairs. Keys: 1-40 chars, letters/digits/hyphens/underscores only. Values: strings up to 500 chars. On update, send null as a value to delete a key; send {} to clear all metadata.
object
key
additional properties
string
Examples
{ "metadata": { "externalRef": "abc-123" }}{ "labelIds": [ "507f1f77bcf86cd799439011", "507f1f77bcf86cd799439012" ], "displayConfiguration": { "hiddenFields": [ "string" ], "hiddenSections": [ "string" ] }, "unmappedResponseUpdates": { "step1.item1": "new value", "fatcaCrs.tin": "123-45-6789" }, "individualApplication": { "firstName": "John", "middleName": "David", "lastName": "Smith", "countryOfBirth": "GB", "nationality": "GB", "address": { "street": "123 Main Street", "apartment": "Apt 4B", "city": "London", "state": "England", "country": "GB", "postalCode": "EC1A 1BB" }, "phoneNumber": { "countryCode": "+1", "phoneNumber": "4143319681" }, "otherNationality": "IE", "email": "john.smith@example.com", "amountToBeInvested": 50000, "amountToBeInvestedCurrency": "GBP", "usCitizen": false, "isPEP": false, "employmentStatus": "EMPLOYED", "occupation": "Software Engineer", "accountTurnover": "50000-100000", "annualFlow": "100000-500000", "estimatedNumberOfPayments": 20, "expectedFxRequirement": "10000-50000", "currenciesRequired": [ "GBP", "EUR" ], "countriesSentTo": [ "GB", "DE" ], "countriesReceivedFrom": [ "GB", "US" ], "paymentPurpose": "Personal expenses", "fundingSource": "Salary", "dateOfBirth": "1990-05-15", "taxResidences": [ { "country": "GB", "tin": "AB123456C" } ], "tradingExperience": { "shares": "MORE_THAN_20", "derivatives": "BETWEEN_10_AND_20", "otcDerivatives": "LESS_THAN_10", "tradingMethod": "EXECUTION_OR_ADVISORY", "hasOccupationalExperience": false, "hasFormalQualification": false } }, "businessApplication": { "name": "Acme Corporation", "registrationNumber": "12345678", "jurisdiction": "GB", "trustType": "Discretionary Trust", "legalForm": "Limited Company", "purpose": "Investment management and advisory services", "businessActivity": "Financial services", "industry": "Financial Services", "subIndustry": "Investment Management", "address": { "street": "123 Main Street", "apartment": "Apt 4B", "city": "London", "state": "England", "country": "GB", "postalCode": "EC1A 1BB" }, "registeredAddress": { "street": "123 Main Street", "apartment": "Apt 4B", "city": "London", "state": "England", "country": "GB", "postalCode": "EC1A 1BB" }, "tradingAddress": { "street": "123 Main Street", "apartment": "Apt 4B", "city": "London", "state": "England", "country": "GB", "postalCode": "EC1A 1BB" }, "phoneNumber": { "countryCode": "+1", "phoneNumber": "4143319681" }, "website": "https://www.acmecorp.com", "sicCode": "64110", "vatNumber": "GB123456789", "taxId": "A02951077", "referrer": "Partner Bank", "referrerNote": "Referred by relationship manager", "companyTurnover": "1000000-5000000", "annualFlow": "500000-1000000", "estimatedNumberOfPayments": 50, "expectedFxRequirement": "100000-500000", "currenciesRequired": [ "GBP", "EUR", "USD" ], "countriesSentTo": [ "GB", "DE", "US" ], "countriesReceivedFrom": [ "GB", "FR" ], "paymentPurpose": "Supplier payments", "fundingSource": "Revenue from operations", "investmentAmount": 250000, "investmentAmountCurrency": "GBP", "isAudited": true, "isRegulated": true, "hasPep": false, "ownershipLayers": 1, "legalEntityType": "Limited Company", "regulatoryAuthority": "FCA", "regulatoryNumber": "123456", "incorporationDate": "2020-01-15", "establishmentDate": "2020-01-15", "registrationDate": "2020-01-15", "tradingExperience": { "shares": "MORE_THAN_20", "derivatives": "BETWEEN_10_AND_20", "otcDerivatives": "LESS_THAN_10", "tradingMethod": "EXECUTION_OR_ADVISORY", "hasOccupationalExperience": false, "hasFormalQualification": false } }, "metadata": { "externalRef": "abc-123", "plan": "enterprise" }}Responses
Section titled “ Responses ”Application updated successfully